Skip to main content
GET
/
v1
/
tags
/
{tagId}
/
access_grants
List Tag Access Grants
curl --request GET \
  --url https://api.us.lexful.app/v1/tags/{tagId}/access_grants \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
import requests

url = "https://api.us.lexful.app/v1/tags/{tagId}/access_grants"

headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};

fetch('https://api.us.lexful.app/v1/tags/{tagId}/access_grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "granted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "granted_at": "2023-11-07T05:31:56Z",
      "subject_name": "<string>"
    }
  ],
  "total": 123
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

tagId
string<uuid>
required

Tag ID

Query Parameters

expand
string

Comma-separated list of fields to expand (e.g., "subject_name")

Response

Default Response

items
object[]
required

Array of tag access grants (users and groups)

total
number
required

Total number of tag access grants